#version 330

layout(location = 0) in vec4 position;

uniform vec3 offset;
uniform mat4 perspective_matrix;
uniform vec3 camera_offset;

out vec4 gl_Position;

void main()
{
	vec4 camera_position = position + vec4(offset.x, offset.y, offset.z, 0.0f) + vec4(camera_offset.x, camera_offset.y, camera_offset.z, 1.0f);
	gl_Position = perspective_matrix * camera_position;
}
